These docs are for v1.2. Click to read the latest docs for v1.4.

Create short link

This method creates a new link. If parameter "path" is omitted, it
generates path by algorithm, chosen in domain settings.

Notes:

  1. If URL with a given path already exists and originalURL of the URL in database is equal to originalURL argument, it returns information about existing URL
  2. If URL with a given path already exists and originalURL is different from originalURL in database, it returns error with a status 409
  3. If URL with a given originalURL exists, and no path is given, it returns information about existing URL and does not create anything
  4. If URL with a given originalURL exists, and custom path is given, it creates a new short URL

Rate limit: 20/s

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Domain name you added to short.io

boolean

Allow duplicate links. If true, you can create multiple links with the same original URL. False by default

url
required

link, which you want to shorten

string

optional path part of newly created link. If empty - it will be generated automatically

string

title of created URL to be shown in short.io admin panel

tags
array of strings
tags
number

Link expiration date, optional. Format is unix timestamp in milliseconds.

If no expiration date is given (default), link will never expire

url

URL to redirect when the link is expired

url

If users open the URL with iPhone, they will be redirected to this URL

url

If users open the URL with Android, they will be redirected to this URL

boolean

If true, the link will be cloaked. Cloaked links will redirect to the original URL, but will not show the original URL in the browser address bar.

number
enum

Status for the short link redirect. If not provided - 302 will be used

Allowed:
password

Requires Personal plan. Password to be asked when user visits a link. This password will not be stored in plain text, we will hash it with salt

number

Time to live in milliseconds. After this time link will be deleted. If not set, link will never expire. Unlike expiresAt the link will be deleted and won't be counted in account link limit

string

The referrer: (e.g. google, newsletter)

string

Marketing medium: (e.g. cpc, banner, email)

string

Product, promo code, or slogan (e.g. spring_sale)

string

Identify the paid keywords

string

Use to differentiate ads

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json